Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.m2m.qvt.oml.runtime.util
Class QvtoTransformationHelper

    java.lang.Object
      org.eclipse.m2m.qvt.oml.runtime.util.QvtoTransformationHelper

Deprecated. use `TransformationExecutor` class instead

    public class QvtoTransformationHelper

extends java.lang.Object

Nested Class Summary
`static interface` | `QvtoTransformationHelper.ModelExtent` Deprecated. This interface provides read-only access to the contents of a model extent.
`static interface` | `QvtoTransformationHelper.TransfExecutionResult` Deprecated.

Constructor Summary
`QvtoTransformationHelper(URI transfUri)` Deprecated.

Method Summary
`QvtoTransformationHelper.TransfExecutionResult` | `executeTransformation(java.util.List<? extends EObject> inObjects, java.util.Map<java.lang.String,java.lang.Object> inConfigProperties, ResourceSet metamodelResourceSet)` Deprecated.
`java.util.List<URI>` | `getImportedTransformations()` Deprecated.
`java.util.List<java.lang.String>` | `getInputModelExtensions()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QvtoTransformationHelper

    public QvtoTransformationHelper(URI transfUri)

  Deprecated.
  Parameters:
    `transfUri` - uri of the transformation script:
    files like `file:/`
    platform resources like `platform:/resource/`
    platform plugins like `platform:/plugin/`

Method Detail

### executeTransformation

    public QvtoTransformationHelper.TransfExecutionResult executeTransformation(java.util.List<? extends EObject> inObjects,
                                                                                java.util.Map<java.lang.String,java.lang.Object> inConfigProperties,
                                                                                ResourceSet metamodelResourceSet)
                                                                         throws CoreException

  Deprecated.
  Throws:
    `CoreException`

### getImportedTransformations

    public java.util.List<URI> getImportedTransformations()
                                                   throws CoreException

  Deprecated.
  Returns:
    List(Transformation File URI)
    - File URI is workspace-relative created with URI.createPlatformResourceURI() call
    - All returned file URIs necessarily belong to single workspace plugin
  Throws:
    `CoreException` - in case file URI cannot be converted to workspace-relative scheme

### getInputModelExtensions

    public java.util.List<java.lang.String> getInputModelExtensions()
                                                             throws CoreException

  Deprecated.
  Throws:
    `CoreException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2008 Borland Software Corporation and others. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD